Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class ShortGridCoverage

    java.lang.Object
      org.deegree.model.coverage.AbstractCoverage
          org.deegree.model.coverage.grid.AbstractGridCoverage
              org.deegree.model.coverage.grid.ShortGridCoverage

All Implemented Interfaces:
  Serializable, Coverage, GridCoverage

    public class ShortGridCoverage

extends AbstractGridCoverage

GridCoverage implementation for holding grids stored in a raw byte matrix (byte[][]) or in a set of `ByteGridCoverage`s

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.coverage.grid.AbstractGridCoverage
`offset, scaleFactor`

Fields inherited from class org.deegree.model.coverage.AbstractCoverage
`coverageOffering, numSources, sources`

Constructor Summary
`ShortGridCoverage(CoverageOffering coverageOffering, Envelope envelope, boolean isEditable, short[][][] data)`
`ShortGridCoverage(CoverageOffering coverageOffering, Envelope envelope, short[][][] data)`
`ShortGridCoverage(CoverageOffering coverageOffering, Envelope envelope, ShortGridCoverage[] sources)`

Method Summary
`BufferedImage` | `getAsImage(int xAxis, int yAxis)` this is a deegree convenience method which returns the source image of an `ImageGridCoverage`.
`int` | `getNumSampleDimensions()` The number of sample dimensions in the coverage.
`RenderableImage` | `getRenderableImage(int xAxis, int yAxis)` Returns 2D view of this coverage as a renderable image.

Methods inherited from class org.deegree.model.coverage.grid.AbstractGridCoverage
`getGridGeometry, isDataEditable, paintImage, paintImage`

Methods inherited from class org.deegree.model.coverage.AbstractCoverage
`getCoordinateReferenceSystem, getCoverageOffering, getDimensionNames, getEnvelope, getMetadataNames, getMetadataValue, getNumSources, getSampleDimension, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.coverage.grid.GridCoverage
`getSource`

Methods inherited from interface org.deegree.model.coverage.Coverage
`getCoordinateReferenceSystem, getDimensionNames, getEnvelope, getMetadataNames, getMetadataValue, getNumSources, getSampleDimension`

Constructor Detail

### ShortGridCoverage

    public ShortGridCoverage(CoverageOffering coverageOffering,
                             Envelope envelope,
                             short[][][] data)

Parameters:
  `coverageOffering` -
  `envelope` -
  `data` -

### ShortGridCoverage

    public ShortGridCoverage(CoverageOffering coverageOffering,
                             Envelope envelope,
                             boolean isEditable,
                             short[][][] data)

Parameters:
  `coverageOffering` -
  `envelope` -
  `isEditable` -
  `data` -

### ShortGridCoverage

    public ShortGridCoverage(CoverageOffering coverageOffering,
                             Envelope envelope,
                             ShortGridCoverage[] sources)

Parameters:
  `coverageOffering` -
  `envelope` -
  `sources` -

Method Detail

### getNumSampleDimensions

    public int getNumSampleDimensions()

  The number of sample dimensions in the coverage. For grid coverages, a sample dimension is a band.

  Returns:
    The number of sample dimensions in the coverage.

### getRenderableImage

    public RenderableImage getRenderableImage(int xAxis,
                                              int yAxis)
                                       throws UnsupportedOperationException,
                                              IndexOutOfBoundsException

  Returns 2D view of this coverage as a renderable image. This optional operation allows interoperability with Java2D. If this coverage is a "org.opengis.coverage.grid.GridCoverage" backed by a `RenderedImage`, the underlying image can be obtained with: `getRenderableImage(0,1).createDefaultRendering()`

  Specified by:
    `getRenderableImage` in interface `Coverage`
  Specified by:
    `getRenderableImage` in class `AbstractCoverage`
  Parameters:
    `xAxis` - Dimension to use for the x axis.
    `yAxis` - Dimension to use for the y axis.
  Returns:
    A 2D view of this coverage as a renderable image.
  Throws:
    `UnsupportedOperationException` - if this optional operation is not supported.
    `IndexOutOfBoundsException` - if `xAxis` or `yAxis` is out of bounds.

### getAsImage

    public BufferedImage getAsImage(int xAxis,
                                    int yAxis)

  this is a deegree convenience method which returns the source image of an `ImageGridCoverage`. In procipal the same can be done with the getRenderableImage(int xAxis, int yAxis) method. but creating a `RenderableImage` image is very slow. I xAxis or yAxis <= 0 then the size of the returned image will be calculated from the source images of the coverage.

  Specified by:
    `getAsImage` in class `AbstractGridCoverage`
  Parameters:
    `xAxis` - Dimension to use for the x axis.
    `yAxis` - Dimension to use for the y axis.
  Returns:
    the source image of an `ImageGridCoverage`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org